# Flutter GetX Translations marker 
---

## install 

```

dev_dependencies:
  ...
  getx_tr_maker:

```

---

## Getting Started 

1. make json file ex: i18n/en-US.json 
2. flutter pub run getx_tr_maker [path] [from] ["to1, to2 , to3..."]
```
flutter pub run getx_tr_maker i18n/en-US.json en-US "ko-KR,de-DE,gl-ES,gu-IN,el-GR,nl-NL,da-DK,lv-LV,ru-RU,ro-RO,lt-LT,mr-IN,mk-MK,ms-BN,ms-MY,mn-MN,eu-ES,vi-VN​,be-BY,bg-BG,sr-Latn-CS,sw-KE,sv-SE,es-ES,sk-SK,sl-SI,ar-DZ,hy-AM,is-IS,ja-JP,zh-CN"
```
output path : lib/i18n.dart

## Output example

```
{
    "test" : "테스트"
}
```

flutter pub run getx_tr_maker i18n/ko_KR.json ko-KR "en-US,de-DE,gl-ES,gu-IN,el-GR,nl-NL,da-DK,lv-LV,ru-RU,ro-RO,lt-LT,mr-IN,mk-MK,ms-BN,ms-MY,mn-MN,eu-ES,vi-VN<200b>,be-BY,bg-BG,sr-Latn-CS,sw-KE,sv-SE,es-ES,sk-SK,sl-SI,ar-DZ,hy-AM,is-IS,ja-JP,zh-CN"

```
// lib/i18n.dart
import 'package:get/get.dart';

class Messages extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        "ko-KR": {"test": "테스트"},
        "en-US": {"test": "test"},
        "de-DE": {"test": "Prüfung"},
        "gl-ES": {"test": "Test."},
        "gu-IN": {"test": "કસોટી"},
        "el-GR": {"test": "δοκιμή"},
        "nl-NL": {"test": "toets"},
        "da-DK": {"test": "prøve"},
        "lv-LV": {"test": "pārbaude"},
        "ru-RU": {"test": "тестовое задание"},
        "ro-RO": {"test": "Test"},
        "lt-LT": {"test": "testas"},
        "mr-IN": {"test": "चाचणी"},
        "mk-MK": {"test": "Тест"},
        "ms-BN": {"test": "ujian"},
        "ms-MY": {"test": "ujian"},
        "mn-MN": {"test": "туршилт"},
        "eu-ES": {"test": "saiatu"},
        "vi-VN​": {"test": "kiểm tra"},
        "be-BY": {"test": "выпрабаванне"},
        "bg-BG": {"test": "тест"},
        "sr-Latn-CS": {"test": "тест"},
        "sw-KE": {"test": "Mtihani"},
        "sv-SE": {"test": "testa"},
        "es-ES": {"test": "prueba"},
        "sk-SK": {"test": "skúška"},
        "sl-SI": {"test": "TEST."},
        "ar-DZ": {"test": "اختبار"},
        "hy-AM": {"test": "փորձարկում"},
        "is-IS": {"test": "próf"},
        "ja-JP": {"test": "テスト"},
        "zh-CN": {"test": "测试"}
      };
}

```


